Gody_

New Members
  • Content Count

    2
  • Joined

  • Last visited

Community Reputation

0 Neutral

About Gody_

  • Rank
    Newbie
  1. Hello, I just wanted to ask if this mod is compatibile with KSP 1.6. I got a little confused and can't find the answer. The mod is not working for me and it might be because I am an antitalent with mods, but I am not sure yet thanks for any help